Bug 880716 - Review Request: knot - Authoritative DNS server
Review Request: knot - Authoritative DNS server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
: 760177 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 11:24 EST by Paul Wouters
Modified: 2013-01-18 15:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-18 15:32:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2012-11-27 11:24:43 EST
Spec URL: ftp://ftp.nohats.ca/knot/knot.spec
SRPM URL: ftp://ftp.nohats.ca/knot/knot-1.1.2-1.fc17.src.rpm
Description: KNOT DNS is a high-performance authoritative DNS server implementation.
Fedora Account System Username: pwouters
Comment 1 Paul Wouters 2012-11-27 11:25:30 EST
This is a continuation of the abandoned review rhbz#760177
Comment 2 Fabian Affolter 2012-12-01 08:54:20 EST
*** Bug 760177 has been marked as a duplicate of this bug. ***
Comment 3 Patrick Uiterwijk 2012-12-06 13:21:48 EST
As already discussed, I will do this review.
Comment 4 Patrick Uiterwijk 2012-12-11 17:35:41 EST
Ok, I retract my comment about the licenses, all of the used licenses are GPLv3 compatible.

The only two points I see is that you have not packaged the latest version (1.1.2 vs 1.1.3-rc1), and you have no %check section with unit tests.

If you could fix them, this would be nice, but this package is APPROVED.



Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated",
     "MIT/X11 (BSD like)", "GPL (unversioned/unknown version) GPL (v3 or later)", "LGPL
     (v2.1 or later)". 8 files have unknown license. 
     All of the licenses are GPLv3 compatible
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[?]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 184320 bytes in 11 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: knot-1.1.2-1.fc17.x86_64.rpm
          knot-debuginfo-1.1.2-1.fc17.x86_64.rpm
          knot-1.1.2-1.fc17.src.rpm
knot.x86_64: W: only-non-binary-in-usr-lib
knot.x86_64: E: non-standard-dir-perm /etc/knot 0750L
3 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint knot-debuginfo knot
knot.x86_64: W: only-non-binary-in-usr-lib
knot.x86_64: E: non-standard-dir-perm /etc/knot 0750L
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
knot-1.1.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    config(knot) = 1.1.2-1.fc17
    info  
    libc.so.6()(64bit)  
    libcap-ng.so.0()(64bit)  
    libcrypto.so.10()(64bit)  
    libdl.so.2()(64bit)  
    libm.so.6()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    liburcu.so.1()(64bit)  
    libz.so.1()(64bit)  
    rtld(GNU_HASH)  
    systemd-units  

knot-debuginfo-1.1.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
knot-1.1.2-1.fc17.x86_64.rpm:
    
    config(knot) = 1.1.2-1.fc17
    knot = 1.1.2-1.fc17
    knot(x86-64) = 1.1.2-1.fc17

knot-debuginfo-1.1.2-1.fc17.x86_64.rpm:
    
    knot-debuginfo = 1.1.2-1.fc17
    knot-debuginfo(x86-64) = 1.1.2-1.fc17



MD5-sum check
-------------
http://public.nic.cz/files/knot-dns/knot-1.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : a44457257d49c58ce444cdbf74062bb4467144fe8769a8d5fcf9ef691e402bdb
  CHECKSUM(SHA256) upstream package : a44457257d49c58ce444cdbf74062bb4467144fe8769a8d5fcf9ef691e402bdb


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 880716
Comment 5 Paul Wouters 2012-12-19 18:44:56 EST
Talked to upstream, and we agreed to wait for 1.1.3rc to become a full release, then package it up with current spec file.
Comment 6 Paul Wouters 2012-12-19 19:05:16 EST
New Package SCM Request
=======================
Package Name: knot
Short Description: KNOT DNS is a high-performance authoritative DNS server implementation.
Owners: pwouters
Branches: f17, f18, el6, el5
InitialCC:
Comment 7 Gwyn Ciesla 2012-12-20 06:57:01 EST
Git done (by process-git-requests).
Comment 8 Ondřej Surý 2012-12-20 11:17:07 EST
> Talked to upstream, and we agreed to wait for 1.1.3rc to become a full release, then package it up with current spec file.

Which just has happened :)
Comment 9 Fedora Update System 2012-12-20 13:06:56 EST
knot-1.1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/knot-1.1.3-1.fc18
Comment 10 Fedora Update System 2013-01-03 18:52:04 EST
knot-1.1.3-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2013-01-18 15:32:26 EST
knot-1.1.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.